Custom Action
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Custom Action action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "My custom action",
"type": "CUSTOM",
"trigger_time": "ON_EVERY_EXECUTION",
"custom_type": "my_custom_action:latest",
"variables_access": true,
"filesystem_access": true,
"inputs": [
{
"id": "cmd",
"value": "echo 'Hello world'"
},
{
"id": "other_custom_input",
"value": "some value"
}
]
}'STATUS200 OK